<app-breadcrumb-admin [single]="true" titlePage="Noticias"></app-breadcrumb-admin>
<h3 class="text-capitalize">
  <fa-icon [icon]="faTable"></fa-icon>&nbsp;
  Noticias
</h3>

<div class="row">
  <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
    <div class="card mb-3">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h3 class="text-primary">
              <a [routerLink]="['/admin/news/create']" class="btn btn-outline-secondary">
                <fa-icon [icon]="faPlus"></fa-icon>&nbsp;
                <span class="text-capitalize">Agregar Noticia</span>
              </a>
            </h3>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="table-responsive">
          <table id="dataTable" class="table table-bordered table-hover display" style="width:100%">
            <thead class="bg-primary  text-white">
            <tr>
              <th width="100px">Imagen</th>
              <th width="200px">Titulo</th>
              <th>Intro</th>
              <th width="300px">Fecha</th>
              <th width="100px">Acciones</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let newss of news |  paginate: { itemsPerPage: 5, currentPage: page }; let i=index">
              <td width="100px">
                <a [routerLink]="['/admin/news/edit', newss._id]" title="Editar">
                  <img src="assets/images/missing.png" alt="Sin Imagen" class="img-fluid" *ngIf="!newss.image">
                  <img [src]="newss._id | image: 'news'" [alt]="newss.image" class="img-fluid aspect-radio-height" *ngIf="newss.image" (error)="replaceImage(image)" #image>
                </a>
              </td>
              <td>
                <a [routerLink]="['/admin/news/edit', newss._id]" title="Editar">
                  <span *ngIf="serviceTranslation.getLang() == 'es'">
                    <span *ngIf="newss.title.es">{{ newss.title.es }}</span>
                    <span *ngIf="!newss.title.es">Editar</span>
                  </span>
                  <span *ngIf="serviceTranslation.getLang() == 'en'">
                    <span *ngIf="newss.title.en">{{ newss.title.en }}</span>
                    <span *ngIf="!newss.title.en">Editar</span>
                  </span>
                </a>
              </td>
              <td>
                <span *ngIf="serviceTranslation.getLang() == 'es'" [innerHTML]="newss.intro.es"></span>
                <span *ngIf="serviceTranslation.getLang() == 'en'" [innerHTML]="newss.intro.en"></span>
              </td>
              <td>{{ newss.date | date: 'fullDate' }}</td>
              <td class="text-center" >
                <fa-icon [icon]="faPowerOff" [ngClass]="{'text-success': newss.active, 'text-danger': !newss.active }"
                         class="ms-1 cursor"
                         title="Activo"
                         (click)="active(newss._id, newss.active)" >
                </fa-icon>
                <fa-icon [icon]="faTrashAlt"
                         class="text-danger ms-1 cursor"
                         title="Eliminar"
                         (click)="delete(newss._id)">
                </fa-icon>
              </td>
            </tr>
            </tbody>
          </table>
          <pagination-controls  (pageChange)="page = $event"
                                (pageBoundsCorrection)="page = $event"
                                [maxSize]=9
                                [directionLinks]=true
                                [autoHide]=true
                                [responsive]=true
                                previousLabel="Anterior"
                                nextLabel="Siguente"
                                screenReaderPaginationLabel="Pagination"
                                screenReaderPageLabel="page"
                                screenReaderCurrentLabel="You're on page">
          </pagination-controls>
        </div>
        <!-- end table-responsive-->
      </div>
      <!-- end card-body-->
    </div>
    <!-- end card-->
  </div>
</div>
